Bug 136518 - Logout never exits
Logout never exits
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-session (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-20 13:53 EDT by Mark Grennan
Modified: 2012-06-20 12:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:05:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Grennan 2004-10-20 13:53:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041001
Firefox/0.10.1

Description of problem:
Both user and root user get stuck use CTL-ALT-DEL/Logout.  The desktop
never exits forcing me to use CTL-ALT-Backspace.

This system is a new upgrade from enterprise 3es.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.login runlevel 5
2.CTL-ALT-DEL
3.select logout and click the OK button.
    

Expected Results:  Decktop closes and graphic login returns.

Additional info:
Comment 1 Barry K. Nathan 2004-10-24 22:08:23 EDT
I've seen this intermittently on Fedora Core 2, but I haven't hit it
(yet??) with latest rawhide or with FC3 rc1.

If you want to try reproducing this with FC3 rc1, it's available here:
http://testing.fedora.redhat.com/tree/
http://fedora.linux.duke.edu/FC3-rc1/3/

(I know this bug has been reported against RHEL 4 beta1, but FC3 and
RHEL4 are very related right now, so it might be helpful to see if
this bug still exists in FC3.)
Comment 2 Barry K. Nathan 2004-11-09 17:46:01 EST
I saw this, once, on one of my boxes with a fresh install of a
2004-11-05 rawhide snapshot. I can't reproduce it though. (Also, the
box that it happened on is only 300MHz, for what that's worth.)

Anyway, whatever the problem is, it's *far* less severe with recent
rawhide than with FC2 (with FC2 I was able to hit it somewhat
frequently on a pretty wide range of boxes). If I figure out a way of
reproducing this with recent rawhide, or RHEL 4b2, or FC3, then I'll
add another comment here.
Comment 3 Roy Kimbrell 2005-03-03 11:33:51 EST
There are several bugs similar to this one on bugzilla, but this seems to be the
one most similar to the problem I've encountered.  This occurs on two separate
machines.

Fedora Core 3 (fresh install) running Gnome.

Problem:  Delays on Log Out

Details:

On selecting Action>Log Out, the Log Out dialog box appears.  After selecting
Log Out and clicking OK, nothing happens for two to three minutes.  Eventually,
the log out occurs.

If you wait for the log out (that is, abstain from killing X with ctrl-alt-bs,
or opening a console with ctrl-alt-F1 and shutting down the machine), then log
in, then select Action>Log Out, nothing happens (no Log Out dialog box) for two
minutes.  Then the box appears and log out can proceed immediately.

This symptom occurs on both machines.

The kernel is still running fine.  An ssh connection seems to work just fine. 
ps ax shows the last task running to be

/usr/bin/esd -terminate -nobeeps -as 2 -spawnfd 28

Fedora Core 3 - fresh install
Two machines:
  1.  Sony VGN-A270P (laptop)
      2 GB RAM
      ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]

  2.  Dell Dimension V433C
      384 GB RAM
      ATI Technologies Inc 3D Rage Pro AGP 1X/2X (rev 5c)

I note that the commonality between the two machines is the ATI video card.  I
wonder if there's a problem with the driver.

Roy Kimbrell
Comment 4 Roy Kimbrell 2005-03-03 15:44:40 EST
It looks like the delay between clicking OK on the Log Out dialog box 
to the time the log out or shutdown occurs is exactly 120 seconds - at least
that´s as close as I can measure it on my wristwatch.  This for the case where
the delay occurs between clicking OK and the logout occurs.  I´ll time the other
delay (where it occurs between selecting Action>Log Out and the Log Out dialog
box appears).  If it´s any different I´ll post that as well.

Roy
Comment 5 Roy Kimbrell 2005-03-10 17:25:13 EST
I think it might be a race condition. 

Select Actions>Log Out
BEFORE THE SCREEN FINISHES DIMMING - On the ensuing dialog box, click
Log Out or Shut down

In this case there will be a 120 second delay before the action takes
place.

If you wait for the dimming to complete it will occur immediately.
Comment 6 Barry K. Nathan 2005-03-11 21:32:57 EST
Re: comments 3, 4, 5

That's not this bug. If this is the most similar bug in RH Bugzilla,
then please file a new bug rather than piggybacking onto this one.

This bug basically boils down to "click OK on the logout dialog, leave
the machine running overnight, come back the next day (or even a few
days later), and logout *still* hasn't finished yet". And IIRC one of
the boxes I've seen this on is a monster box where it's physically
impossible to click *anything* in the Log Out dialog before the screen
finishes dimming, because it dims that fast (and that's at 1920x1200
resolution, even).

I have not seen this since the FC3 release, but the box that was most
afflicted by this is still running FC2. (That will be changing later
this month, but until then I won't know if this bug still exists.)
Comment 7 Jiri Pallich 2012-06-20 12:05:30 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.